namespace Wizard.Battle.Phase;

public class RecoveryNetworkBattleMulliganPhaseCreator : NetworkBattlePhaseCreator
{
	public RecoveryNetworkBattleMulliganPhaseCreator(NetworkBattleManagerBase battleMgr)
		: base(battleMgr)
	{
	}

	public override IPhase CreateMulliganPhase()
	{
		return new RecoveryNetworkBeforeSubmitMulliganPhase(_networkBattleManager, _networkBattleManager.NetworkSender);
	}
}
